from setuptools import setup, find_packages

setup(
    author='Calvin McCoy',
    author_email='calvin.mccoy@protonmail.com',
    classifiers=['Development Status :: 4 - Beta',
                 'Intended Audience :: Developers',
                 'Topic :: Security :: Cryptography',
                 'License :: OSI Approved :: MIT License',
                 'Programming Language :: Python :: 2',
                 'Programming Language :: Python :: 2.7',
                 'Programming Language :: Python :: 3',
                 'Programming Language :: Python :: 3.4',
                 'Programming Language :: Python :: 3.5',
                 'Programming Language :: Python :: 3.6'],
    description="Implementations of the NSA's Simon and Speck Block Ciphers",
    install_requires=[],
    license='MIT',
    long_description_content_type='text/markdown',
    long_description=open('Readme.md').read(),
    include_package_data=True,
    keywords='cryptography cipher encryption decryption crypto',
    name='simonspeckciphers',
    packages=find_packages(include=['simon', 'speck'], exclude=['tests*']),
    setup_requires=['pytest-runner'],
    test_suite='tests',
    tests_require=['pytest'],
    url='https://github.com/inmcm/Simon_Speck_Ciphers/tree/master/Python/simonspeckciphers',
    download_url='https://github.com/inmcm/Simon_Speck_Ciphers/archive/1.0.0.tar.gz',
    version='1.0.0',
    zip_safe=False,
)
